<h1 align="center">Welcome to Habits 👋</h1>

![Licencia MIT](https://img.shields.io/badge/Licencia-MIT-green)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/b3e704c3f150404582cd23b9fcb4be32)](https://www.codacy.com/manual/atareao/habits?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=atareao/habits&amp;utm_campaign=Badge_Grade)
[![CodeFactor](https://www.codefactor.io/repository/github/atareao/habits/badge/master)](https://www.codefactor.io/repository/github/atareao/habits/overview/master)

[![Twitter: atareao](https://img.shields.io/twitter/follow/atareao.svg?style=social)](https://twitter.com/atareao)

Habits is an application to monitor your habits with your PC. So you can study how many kilometers travel with your
mouse or how many keystrokes.

[![Habits](./data/icons/habits.svg)](https://www.atareao.es/aplicacion/habits/)

## 🏠 [Homepage](https://www.atareao.es/aplicacion/habits/)

## Prerequisites

Before you begin, ensure you have met the following requirements:

* If you install it from PPA don't worry about, becouse all the requirements are included in the package
* If you clone the repository, you need, at least, these dependecies,

```
gir1.2-gtk-3.0,
gir1.2-glib-2.0,
gir1.2-gdkpixbuf-2.0,
gir1.2-appindicator3-0.1,
gir1.2-webkit2-4.0,
python3-xlib
```

## Installing Habits

To install **Habits**, follow these steps:

* In a terminal (`Ctrl+Alt+T`), run these commands

```
sudo add-apt-repository ppa:atareao/atareao
sudo apt update
sudo apt install habits
```

## Using Habits

When you start **Habits** it goes to Indicator Area, as you can see in the next screenshot,

![Habits](./screenshots/habits_01.png)

You can set some options in order to start *Habits* when you start your Operative System.

* Set the icon theme. Dark or light.
* Start Habits with your Operative System

Besides you can set the colors of the graphics

![Configuration](./screenshots/habits_02.png)

In the next screenshot you can see the about

![About](./screenshots/habits_03.png)

In the next screenshots you can see some samples of my use of *Habits*,

![Example 1](./screenshots/habits_04.png)

![Example 2](./screenshots/habits_05.png)

## Contributing to Habits

To contribute to **Habits**, follow these steps:

1. Fork this repository.
2. Create a branch: `git checkout -b <branch_name>`.
3. Make your changes and commit them: `git commit -m '<commit_message>'`
4. Push to the original branch: `git push origin <project_name>/<location>`
5. Create the pull request.

Alternatively see the GitHub documentation on [creating a pull request](https://help.github.com/en/github/collaborating-with-issues-and-pull-requests/creating-a-pull-request).

## 👤 Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://www.atareao.es"><img src="https://avatars3.githubusercontent.com/u/298055?v=4" width="100px;" alt=""/><br /><sub><b>Lorenzo Carbonell</b></sub></a><br /><a href="https://github.com/atareao/fondos-productivos/commits?author=atareao" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-enable -->
<!-- prettier-ignore-end -->
<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!

## Contact

If you want to contact me you can reach me at [atareao.es](https://www.atareao.es).

## License

This project uses the following license: [MIT License](https://choosealicense.com/licenses/mit/).
